Bug 400861 - please add a wrapper for gtk_moz_embed_set_path()
please add a wrapper for gtk_moz_embed_set_path()
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: gnome-python2-extras (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Matthew Barnes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-27 07:22 EST by Martin Stransky
Modified: 2007-12-28 10:02 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-11 10:55:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
a minimal patch (1.19 KB, patch)
2007-11-27 07:22 EST, Martin Stransky
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 503067 None None None Never

  None (edit)
Description Martin Stransky 2007-11-27 07:22:47 EST
Hello,

I've just added a minimal patch what exports gtk_moz_embed_set_path() from
gecko-libs.

gtk_moz_embed_set_path() is used for initialization in gecko-libs 1.9 instead of
the recent gtk_moz_embed_set_comp_path(). See
http://fedoraproject.org/wiki/Releases/FeatureXULRunnerAPIChanges and
http://fedoraproject.org/wiki/Releases/FeatureXULRunner

Please check that patch if it's correct, extend it and propagate it to upstream.

Version-Release number of selected component (if applicable):

gnome-python2-extras-2.19.1-12.fc9

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Martin Stransky 2007-11-27 07:22:47 EST
Created attachment 269691 [details]
a minimal patch
Comment 2 Matthew Barnes 2007-12-11 10:55:45 EST
Looks okay to me, moving upstream.  Please see [1] for further updates.

Let me know if you need me to patch the Fedora package in the meantime.

[1] http://bugzilla.gnome.org/show_bug.cgi?id=503067
Comment 3 Matthew Barnes 2007-12-15 12:58:19 EST
Patch was committed upstream but still needs API documentation written for it. 
Feel free to contribute a patch for that to the same upstream bug.
Comment 4 Gian Mario Tagliaretti 2007-12-28 10:02:49 EST
Mattew the patch cannot be applied as it is, it will break the module with all
previous versions of the browser where the function doesn't exist, I've reopened
upstream.

Note You need to log in before you can comment on or make changes to this bug.